<?php

// API routes  for media_request
Route::prefix('{guard}/media_request')->group(function () {
    Route::get('media_request/form/{element}', 'MediaRequestAPIController@form');
    Route::resource('media_request', 'MediaRequestAPIController');
});

// Public routes for media_request
Route::get('media_requests/', 'MediaRequestPublicController@index');
Route::get('media_requests/{slug?}', 'MediaRequestPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for media_requests
            Route::prefix('{guard}/media_request')->group(function () {
                Route::get('media_request/form/{element}', 'MediaRequestAPIController@form');
                Route::apiResource('media_request', 'MediaRequestAPIController');
            });
            // Public routes for media_requests
            Route::get('media_request/MediaRequest', 'MediaRequestPublicController@getMediaRequest');
        }
    );
}

